For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Portal
GuidesRecipesAPI ReferenceChangelog
GuidesRecipesAPI ReferenceChangelog
  • Airtop API
      • GETList Automations
      • PUTUpdate Automation Description
      • GETGet Automation
      • DELDelete Automation
Portal
Airtop APIAutomations

Get Automation

GET
https://api.airtop.ai/api/v1/automations/:automationId
GET
/api/v1/automations/:automationId
$curl https://api.airtop.ai/api/v1/automations/automationId \
> -H "Authorization: Bearer <apiKey>"
1{
2 "domainName": "domainName",
3 "id": "id",
4 "description": "description",
5 "schema": "schema",
6 "template": "template"
7}
Get a specific automation by ID
Was this page helpful?
Previous

Delete Automation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

automationIdstringRequired
ID of the automation to retrieve

Response

OK
domainNamestring
idstring
descriptionstring
schemastring
templatestring

Errors

401
Automations Get Request Unauthorized Error
403
Automations Get Request Forbidden Error
404
Automations Get Request Not Found Error
422
Automations Get Request Unprocessable Entity Error
500
Automations Get Request Internal Server Error